org.eclipse.microprofile.reactive.streams.operators.spi

## Interface SubscriberWithCompletionStage<T,R>

Type Parameters:
  `T` - The type of the elements that the subscriber consumes.
  `R` - The type of the result that the subscriber emits.

    public interface SubscriberWithCompletionStage<T,R>

A subscriber and completion stage pair.

### Method Summary

All Methods Instance Methods Abstract Methods
`CompletionStage<R>` `getCompletion()` Get the completion stage.
`org.reactivestreams.Subscriber<T>` `getSubscriber()` Get the subscriber.

### Method Detail

#### getCompletion

    CompletionStage<R> getCompletion()

Get the completion stage.

This should be redeemed by the subscriber either when it cancels, or when it receives an `Subscriber.onComplete()` signal or an `Subscriber.onError(Throwable)` signal. Generally, the redeemed value or error should be the result of consuming the stream.

Returns:
  The completion stage.

#### getSubscriber

    org.reactivestreams.Subscriber<T> getSubscriber()

Get the subscriber.

Returns:
  The subscriber.